<?php
session_start();

    include_once("../scripts/connect.php");
   $conexion=conecta_default();
   include_once("../scripts/session.php");
   //Validar Session
    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/
    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	 header("Location: ../index.php?err=NoSesion");
    }/*no hay sesion*/
    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();
    }
    //fin validar session

   $rfc =$_POST['rfcpr'];
   $ref =$_POST['refpr'];
   $calificado=0;
 $id_cd=$sesion->id;
   	function regresames($mes){

	   switch($mes) 
				{
					case '01': $mesletra="Enero"; $diaf=31; break;
					case '02': $mesletra="Febrero"; $diaf=28; break;
					case '03': $mesletra="Marzo"; $diaf=31; break;
					case '04': $mesletra="Abril"; $diaf=30; break;
					case '05': $mesletra="Mayo"; $diaf=31; break;
					case '06': $mesletra="Junio"; $diaf=30; break;
					case '07': $mesletra="Julio"; $diaf=31; break;
					case '08': $mesletra="Agosto"; $diaf=31; break;
					case '09': $mesletra="Septiembre"; $diaf=30; break;
					case '10': $mesletra="Octubre"; $diaf=31; break;
					case '11': $mesletra="Noviembre"; $diaf=30; break;
					case '12': $mesletra="Diciembre"; $diaf=31; break;

				}	

	return $mesletra;}
   
   if(isset($rfc)){ 
	   $qa = "SELECT id_inver, rfc, inversionista.nombre as nom, appat, apmat, fecha_nac, ciudad, referencia, email, wa, estados.nombre as edo, vip, estampa FROM inversionista join estados on inversionista.estados_idestado=estados.idestado WHERE rfc = \"$rfc\"";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro N2o Encontrado): ' . mysqli_error($conexion));

   if(mysqli_affected_rows($conexion))
   {
   	$ra = mysqli_fetch_object($ca);
	$id = $ra->id_inver;
    
	$nombre = $ra->nom;
	$apat = $ra->appat;
	$amat = $ra->apmat;
    $fechanac = $ra->fecha_nac;
    $ciudad = $ra->ciudad;
    $ref = $ra->referencia;
    $email = $ra->email;
    $wa = $ra->wa;
    $estado = $ra->edo;
      $vip = $ra->vip;
      $inscrito= $ra->estampa;
$continua=1;
   }
   
  } 
   
   if(isset($ref)){
	   	    $qa = "SELECT id_inver, rfc, inversionista.nombre as nom, appat, apmat, fecha_nac, ciudad, referencia, email, wa, estados.nombre as edo, vip, estampa FROM inversionista join estados on inversionista.estados_idestado=estados.idestado WHERE referencia = \"$ref\"";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro N2o Encontrado): ' . mysqli_error($conexion));

   if(mysqli_affected_rows($conexion))
   {
   	$ra = mysqli_fetch_object($ca);
	$id = $ra->id_inver;
    $rfc= $ra->rfc;
	$nombre = $ra->nom;
	$apat = $ra->appat;
	$amat = $ra->apmat;
    $fechanac = $ra->fecha_nac;
    $ciudad = $ra->ciudad;
    $ref = $ra->referencia;
    $email = $ra->email;
    $wa = $ra->wa;
    $estado = $ra->edo;
    $vip = $ra->vip;
    $inscrito = $ra->estampa;
    $continua=1;
   }

   }
   
   
   if($continua==1){
   
      
   $centros_entregas="SELECT * FROM usuarios_ci where tipo_centro='1' and centro_activo='1' ";
   

   $qp3 = "SELECT count(idtransacciones) as cuenta from transacciones where inversionista_id_inver=$id and (tipostr_idtipostr=10 or tipostr_idtipostr=12)";
   $cp3 = mysqli_query($conexion, $qp3) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
$rp3 = mysqli_fetch_object($cp3);	
	$ingreso = $rp3->cuenta;
   if($ingreso==0){
	   
	   echo"<center><font color=\"red\" size=\"+2\"><br>Este usuario es nuevo. Es necesario comprar el Kit de Inscripcion<br>
	   <p><img src=\"kit-inscripcion.jpg\" width=80%></p></font><br>Comprar Kit de Inscripcion <br><br> ";
	   
	  
		  echo"<form id='f1' method='post' action='../scripts/generar_inscripcion.php' >";   
	   
	   
	 
        echo"<table   align='center'  text-alling:center'>
                        <tr height='30'  bgcolor=\"#c3dfed\"><td>
                    Centro de entrega:
                    <select name='cdent'>";
                    $entregas1=mysqli_query($conexion, $centros_entregas) or die ("Error en buscar centros de entrega");
                         echo "<option value='8'> 8 - Almacen GDL</option>";
                         echo "<option value='$dato[0]'> ".$dato[0]." - "."Mi centro"."</option>";
                        while ($centros_list=mysqli_fetch_array($entregas1)) {
                            echo "<option value='$centros_list[0]'> ".$centros_list[0]." - " .$centros_list[1]."</option>";

                          }
echo"</select>";

if($vip==1){echo"<input type='hidden' name='prod' value='1'>";}
echo"	    </td><td>
                    <input type='radio' name='vip' value='0' checked>RRB 624</input><br>
                    <input type='radio' name='vip' value='1'>VIP</input>
                     
            </td><td align='center' valign='middle'><input type='hidden' name='rfcpr' value='$rfc'><input type='hidden' name='tiponota' value='10'>
                    <input type='submit' value='Continuar' />
                    
            </td></tr>
        </table></form><br><br><br><br>";
	   
	   
	   
	   
	   $continua=0;
	   
	   
   }
 }else {echo"<center><br><br><br>Distribuidor no encontrado, volver a intentar";}  
   
   
   
   
   if($vip==1){echo"<center><img src=\"rrbvipbanner.png\"><br>";}else{}
   
   $busqusr2 = "SELECT month(curdate()) as elmes, year(curdate()) as elano";

   $cons2 = mysqli_query($conexion, $busqusr2) or die ('Err0: '.mysqli_error($conexion));

   $usr2 = mysqli_fetch_object($cons2);

   $mes3 = $usr2->elmes; $ano3 = $usr2->elano; 
   $fecha1=$ano3."-".$mes3."-01";
$fecha2=$ano3."-".$mes3."-31";

$busqusr = "SELECT month(estampa) as elmes, year(estampa) as elano from inversionista where id_inver=$id";

   $cons = mysqli_query($conexion, $busqusr) or die ('Err0: '.mysqli_error($conexion));

   $usr = mysqli_fetch_object($cons);

   $mesa3 = $usr->elmes; $anoa3 = $usr->elano; 
   
 if($mes3>=2){$mes2=$mes3-1; $ano2=$ano3;}else{$mes2=12; $ano2=$ano3-1;}

    if($mes2>=2){$mes1=$mes2-1; $ano1=$ano2;}else{$mes1=12; $ano1=$ano3-1;}

	 if($mes1>=2){$mes0=$mes1-1; $ano0=$ano1;}else{$mes0=12; $ano0=$ano3-1;}

	$mes3l=regresames($mes3);

	$mes2l=regresames($mes2);

	$mes1l=regresames($mes1);
	
$mes0l=regresames($mes0);
if($mes3==$mesa3 && $ano3==$anoa3){
	$estemes=1;
}

 $vtas = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$id\" and fechat between \"$fecha1\" and \"$fecha2\"";
           $vtas1 = mysqli_query($conexion, $vtas) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));
           $rr8 = mysqli_fetch_row($vtas1);
           $valin=$rr8[0]; 
           $rest=624-$valin;
           

   echo"<center>";
$califica="<font color=\"red\"> No Calificado</font>";
   if($vip==1 && $valin>=1500){$califica="<font color=\"green\">Calificado</font>";$calificado=1;}
   if($vip==0 && $valin>=624){$califica="<font color=\"green\">Calificado</font>";$calificado=1;}
    if($vip==1 && $valin>=624 && $estemes==1){$califica="<font color=\"green\">Calificado</font>";$calificado=1;}


   echo"<label style='color:#2b385d; font-size:28px; font-weight:bold'>Atenci&oacute;n Integral a Distribuidores</label><br><br> 
   Compras del mes: $valin Estatus: $califica";
      
 
 
   
   
   echo"<br>
   <table align='center' cellspacing=5 cellpadding=5>
   <tr bgcolor=\"#c3dfed\"><td><b>RFC</b> $rfc</td><td>$nombre $apat $amat</td><td><b>Ref </b>$ref</td>
   </tr>
   
   </table>
    ";

       $qa4 = "SELECT * from teldist where id_inver=$id";
   $ca4 = mysqli_query($conexion, $qa4) or die ('Error (Registro N2o Encontrado): ' . mysqli_error($conexion));

   if(!mysqli_affected_rows($conexion))
   {
   	echo"<center><br><br>Es necesario registrar nuevamente un n&uacutemero celular de contacto para continuar<br>escribir solo 10 numeros sin 01, 044 o 045<br><br>
   	<form name='f1' action='addtel.php' method='post'>	
 	<table border='0'  align='center'>


	
	<tr height='40'>
	<td align='center'><label style='color:#5C3C12'>Celular:(Solo numeros)</label>&nbsp;<input type='text' size='10' maxlength='10' name='tel' value='' style='font-family: Times New Roman;text-transform:uppercase;'></td></tr><tr><td align='center'>
	<input type=\"checkbox\" name=\"wa\" value=1> Tiene Whatsapp
	</td></tr><tr><td></td></tr><tr>
	<td align='center' valign='middle'><input type=hidden name=idin value=$id><input type='submit' value='Agregar celular a sistema' onclick='return valida(this.form)'></TD></tr>
	
	</table>
  </form>
";
$continua=0;
   } 
   
   if($continua==1){
        // agregar whatsapp 
   /*
   echo"<form name='f2' action='agregawa.php'  target=\"_blank\" method='post'>	
 	<table border='0'  align='center' >


	
	<tr height='40'>";
	 if($wa==0){
	    echo"<tD><font color=\"red\">**Favor de solicitar**</font></tD>";
	    
	    
    }
	echo"<td align='center'><label style='color:#5C3C12'>Whatsapp:</label>&nbsp;<input type='text' size='14' maxlength='10' name='what' value='' ><input type=hidden name=idin value=$id></td>
	<TD><td align='center' valign='middle'><input type='submit' value='Actualizar' ></TD></tr>
	
	</table><br>
  </form>";
  
  */ 
echo"<bR><br><label style='color:#2b385d; font-size:22px; font-weight:bold'>Generar Pedido</label><br>
";


echo"<form id='f1' method='post' action='../scripts/generar_notadeventa.php' target='_blank'>
        <table   align='center'  text-alling:center'>
<td>
                    Centro de entrega:
                    <select name='cdent'>";

                       
                     
                         echo "<option value='$id_cd'> ".$dato[0]." - "."Mi centro"."</option>
                        <option value='8'> 8 - Almacen GDL</option>
                       </select>
            </td><td align='center' valign='middle'><input type='hidden' name='rfcpr' value='$rfc'><input type='hidden' name='tiponota' value='10'>
                    <input type='submit' value='Continuar' />
                    
            </td></tr>
        </table>
    </form><br>";
    
    if($vip==1 && $calificado==1)
    {

      echo"<label style='color:#2b385d; font-size:22px; font-weight:bold'>Compras Adicionales 30%
      </label><br>";

     echo"<form id='f2' method='post' action='../scripts/generar_notadeventavip.php' target='_blank'>
        <table   align='center'  text-alling:center'>
<td>
                    Centro de entrega: $id_cd - Mi Centro
                    
            </td><td align='center' valign='middle'><input type='hidden' name='cdent' value='$id_cd'><input type='hidden' name='rfcpr' value='$rfc'><input type='hidden' name='tiponota' value='10'>

                    <input type='submit' value='Continuar' />
                    
            </td></tr>
        </table>
    </form><br>"; 
    }
    /*echo"
    <form id='f1' method='post' action='../scripts/generar_pedido.php' target='_blank'>
    <label style='color:#2b385d; font-size:22px; font-weight:bold'>Pedido Evento</label><br>
    <input type='hidden' name='rfcpr' value='$rfc'>
    <input type='hidden' name='tiponota' value=10>
    <input type='hidden' name='cdent' value=35>
    
    <input type='submit' value='Generar Pedido Evento' /></form>
    <br><br>";
    */
    
    
    
$qPP = "SELECT idtransacciones, usuarios_ci_idusuarios_ci as cd, consec, fechat, inversionista.id_inver as elinv, nombre, appat, apmat, statuts, retencion_obsequio.fechae as fechaent, id_cdv, id_cde, retencion_obsequio.id_inver as idprom from retencion_obsequio join transacciones on transacciones.idtransacciones=retencion_obsequio.id_transacc join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver where retencion_obsequio.id_inver=$id and id_cdv=$id_cd and fechat >= '$ano3-$mes3-01'";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

if(mysqli_affected_rows($conexion))
{


echo "<center><label style='color:#2b385d; font-size:22px; font-weight:bold'>Obsequios por Inscripci&oacute;n</label>

<table border=\"0\">
 <tr bgcolor=\"#2b385d\"><th><font color=\"white\">Pedido</th><th><font color=\"white\">Nombre</th><th><font color=\"white\">Fecha</th>
 <th><font color=\"white\">CDV</th> <th><font color=\"white\">Estatus</th> <th><font color=\"white\">Fecha Ent</th> <th><font color=\"white\">CDE</th><th><font color=\"white\"></th></tr>";


while (($objetoPP=mysqli_fetch_object($rPP)) )
{
	$elinv=$objetoPP->id_inver;
	$comp=$objetoPP->compras;
$elstat=$objetoPP->statuts;
if($elstat==1){$statobs="Entregado";}else{$statobs="Por Entregar";}
	
	if($comp>=624){
		$calif++;echo"<tr  bgcolor=\"CCFFCC\">";
		
	}else{echo"<tr  bgcolor=\"#c3dfed\"><form name=\"pagar\" action=\"entrega_reserva_01.php\" target=\"_blank\" method=\"post\">";}
	
	
	

	echo "

	
			<td align=\"center\">$objetoPP->cd - $objetoPP->consec</td> <td align=\"center\">$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td>
			<td align=\"center\">$objetoPP->fechat</td><td align=\"center\">$objetoPP->id_cdv</td><td align=\"center\">$statobs</td><td align=\"center\">$objetoPP->fechaent</td>";
			
			if($elstat==0){
			echo"<td>
			
			<select name='cdent'>";
			
			$centros_entrega1="SELECT cde, nombre FROM cdentrega join usuarios_ci on usuarios_ci.idusuarios_ci=cdentrega.cde WHERE id_cd=0";
                    $entregas11=mysqli_query($conexion, $centros_entrega1) or die ("Error en buscar centros de entrega");
                       
                         echo "<option value='$dato[0]'> ".$dato[0]." - "."Mi centro"."</option>";
                        while ($centros_list=mysqli_fetch_array($entregas11)) {
                            echo "<option value='$centros_list[0]'> ".$centros_list[0]." - " .$centros_list[1]."</option>";

                          }
echo"</select></td>";


			
			}else{echo"<td align=\"center\">$objetoPP->id_cde</td>";}
			
			
			
			
			
			
			
			
			
			
			if($elstat==0){
			echo"<td>
			<input type=hidden name=idprom value=$objetoPP->idprom>

			<input type=hidden name=pedido value=$objetoPP->idtransacciones>

			

								 <input type=\"submit\" value=\"Entregar\" name=\"infoped\"></form>";} echo"</td>

		  </tr> 

		 ";
   

}

	echo"</table>";   }



echo"<br><br><label style='color:#2b385d; font-size:22px; font-weight:bold'>Pedidos Recientes</label><br>";



	 $q2 = "SELECT cantidad, puntos, fechat, transacciones.idtransacciones, tipostr_idtipostr, consec, usuarios_ci_idusuarios_ci, status, rastreo, descripcion, web FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones join inversionista on inversionista.id_inver=transacciones.inversionista_id_inver join pagovta on transacciones.idtransacciones=pagovta.idtransacciones left join guias on guias.idtransacciones=transacciones.idtransacciones left join paqueterias on paqueterias.id_paq=guias.id_paq  WHERE rfc=\"$rfc\" and  fechat >= NOW() - INTERVAL 3 MONTH order by idtransacciones";


  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));

  echo"<center><table border=\"0\"> <tr bgcolor=\"#2b385d\">

			<th><font color=\"white\">Fecha</th><th><font color=\"white\">Transaccion</th><th><font color=\"white\">Pedido</th><th><font color=\"white\">Cantidad</th><th><font color=\"white\">Puntos</th><th><font color=\"white\">Tipo</th><th><font color=\"white\">Paqueteria</font></th><th><font color=\"white\">Rastreo</font></th>

			</tr>";

  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	   $a2 = $r1[2];

	   $a3 = $r1[3];

	   $a4 = $r1[4];

	  $a5 = $r1[5];

	  $a6 = $r1[6];

	  $a7 = $r1[7];
	  
	  $a8 = $r1[8];
	  
	  $a9 = $r1[9];
	   $a10 = $r1[10];

	 	  
  if($a4==10){$tiponota='VENTA';   	  }
	  if($a4==11){ $tiponota='SALIDA';  	  } 
	    if($a4==13){$tiponota='30% VIP';   	  }
	  if($a4==1){ $tiponota='CANCEL';  	  }
	  if($a4==38){$tiponota='RESERVA';}
    if($a4==39){$tiponota='ABONO';}  
		if($a4==6){ $tiponota='OTRASAL';   } 
	   

/* $qPP = "select id_pedreal from pedido_real where transacciones=$a7";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));	   
if (mysqli_affected_rows($conexion)){
	  */

echo"<tr bgcolor=\"#c3dfed\"><td>$a2</td><td>$a3</td><td>$a6-$a5</td><td>$a0</td><td>$a1</td><td>$tiponota</td><td>$a9</td><td>$a8</td><td>

	<form name=\"pagar\" action=\"pedidos_masinfo.php\" target=\"_blank\" method=\"post\">

			<input type=hidden name=dist value=$id_dist>

			<input type=hidden name=pedido value=$a3>
<input type=hidden name=tipons value=$a9>
			

								 <input type=\"submit\" value=\"INFO PEDIDO\" name=\"infoped\"></form></td>";
	if(isset($a8))	{						 
								 
								echo" <td>

	<form name=\"pagar\" action=\"$a10$a8\" target=\"_blank\" method=\"post\">

			
			

								 <input type=\"submit\" value=\"Rastrear\" name=\"infoped\"></form></td>";}else{
								echo" <td>

	<form name=\"pagar\" action=\"agrega_guia.php\" target=\"_blank\" method=\"post\">

			

			<input type=hidden name=pedido value=$a3><input type=hidden name=pedsol value='1'>

			

								 <input type=\"submit\" value=\"Agrega Guia\" name=\"infoped\"></form></td>
								 <td>";}

								 echo"</tr>";

	}
	//}

	echo"</table>";


$calif=0;
/*

$qPP = "SELECT rfc, nombre, appat, apmat, referencia, id_inver, sum(puntos) as compras from inversionista join transacciones on transacciones.inversionista_id_inver=inversionista.id_inver left join depositos on (depositos.transacciones_idtransacciones=transacciones.idtransacciones and fechat between \"$fecha1\" and \"$fecha2\")  where idprom=$id  group by id_inver";

$rPP = mysqli_query($conexion, $qPP) or die ('ErrPP: '. mysqli_error($conexion));

if(mysqli_affected_rows($conexion))
{


echo "<center><br><br><label style='color:#2b385d; font-size:22px; font-weight:bold'>Personas Directas</label>

<table border=\"0\">
 <tr bgcolor=\"#2b385d\"><th><font color=\"white\">RFC</th><th><font color=\"white\">Nombre</th><th><font color=\"white\">Referencia</th><th><font color=\"white\">Compras</th></tr>";


while (($objetoPP=mysqli_fetch_object($rPP)) )


{
	$elinv=$objetoPP->id_inver;
	$comp=$objetoPP->compras;

	
	if($comp>=624){
		$calif++;echo"<tr  bgcolor=\"CCFFCC\">";
		
	}else{echo"<tr  bgcolor=\"#c3dfed\">";}
	
	
	

	echo "

	
			<td align=\"center\">$objetoPP->rfc</td> <td align=\"center\">$objetoPP->nombre $objetoPP->appat $objetoPP->apmat</td>
			<td align=\"center\">$objetoPP->referencia</td><td align=\"center\">$comp</td>

		  </tr> 

		 ";
   

}

	echo"</table>Calificados en el mes: $calif</center>";   }
	 
	 /**/
	 
	 echo"<bR><br><br>";
	 
	 }else{if($ingreso!=0)echo"<br><br><center>Existe un error en los datos, intenta de nuevo.<br><br>";}
?>



